hpct-node-setup(1)

NAME
hpct-node-setup - Setup a HiPerConTracer Node

SYNOPSIS
hpct-node-setup USER@COLLECTOR NODE_ID
[-q | --quiet] [-w | --verbose]
hpct-node-setup [-h | --help]
hpct-node-setup [-v | --version]

DESCRIPTION
hpct-node-setup is the HiPerConTracer node setup script. It is run on a node, in order to:

1. Create an SSH key pair (for public/private key-based authentication to collector);

2. Upload the public key to the collector;

3. Configure SSH public/private key-based authentication on the collector (for SSH node->collector; Note: this configures password-less login to the node user node<NODE_ID> on the collector!);

4. Update known_hosts on the collector with node's server key (for SSH collector->node via Reverse Tunnel; Note: this direction is *not* configured, for security!).

5. Update /etc/hipercontracer/hpct-sync.conf with the given ID and collector.

ARGUMENTS
The following arguments may be provided:

USER@COLLECTOR
    Sets the SSH location of the collector, i.e. USER@HOST.EXAMPLE.

NODE_ID
    Sets the node ID, a number from 1 to 9999.

-q | --quiet
    Turns off status output.

-w | --verbose
    Turns on status output.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The hpct-node-setup tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

sudo hpct-node-setup nornetpp@hpct-collector.example 1

sudo hpct-node-setup nornetpp@hpct-collector.example 1000

sudo hpct-node-setup nornetpp@hpct-collector.example 2000 --verbose

sudo hpct-node-setup nornetpp@hpct-collector.example 2001 -w

hpct-node-setup --version

hpct-node-setup -h

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh